From 0f5ea13b32fe6198934ee6396fd012b740799f2f Mon Sep 17 00:00:00 2001
From: Endi Sukma Dewata <edewata@redhat.com>
Date: Fri, 9 Nov 2012 03:36:17 -0500
Subject: [PATCH] Reorganized CA, KRA, OCSP, TKS templates.

All remaining theme files for Tomcat subsystems which include
the templates and JS files have been moved from the theme folder
at <subsystem>-ui/shared/webapps/<subsystem> into the subsystem
webapp folder at base/<subsystem>/shared/webapps/<subsystem>.

The deployment tools have been updated to use the new location.

Ticket #407
---
 .../ca-ui => base/ca}/shared/webapps/ca/404.html   |   0
 .../ca-ui => base/ca}/shared/webapps/ca/500.html   |   0
 .../shared/webapps/ca/GenUnexpectedError.template  |   0
 .../webapps/ca/admin/GenUnexpectedError.template   |   0
 .../webapps/ca/admin/ca/EnrollSuccess.template     |   0
 .../webapps/ca/admin/ca/ImportAdminCert.template   |   0
 .../shared/webapps/ca/admin/ca/ImportCert.template |   0
 .../shared/webapps/ca/admin/ca/adminEnroll.html    |   0
 .../ca/admin/ca/securitydomainlogin.template       |   0
 .../shared/webapps/ca/admin/ca/sendCookie.template |   0
 .../ca}/shared/webapps/ca/admin/cms-funcs.js       |   0
 .../ca}/shared/webapps/ca/admin/helpfun.js         |   0
 .../ca}/shared/webapps/ca/admin/index.html         |   0
 .../ca}/shared/webapps/ca/agent/GenError.template  |   0
 .../shared/webapps/ca/agent/GenPending.template    |   0
 .../shared/webapps/ca/agent/GenRejected.template   |   0
 .../shared/webapps/ca/agent/GenSuccess.template    |   0
 .../shared/webapps/ca/agent/GenSvcPending.template |   0
 .../webapps/ca/agent/GenUnauthorized.template      |   0
 .../webapps/ca/agent/GenUnexpectedError.template   |   0
 .../webapps/ca/agent/ca/EnrollSuccess.template     |   0
 .../shared/webapps/ca/agent/ca/ImportCert.template |   0
 .../shared/webapps/ca/agent/ca/ListRequests.html   |   0
 .../webapps/ca/agent/ca/ProfileApprove.template    |   0
 .../webapps/ca/agent/ca/ProfileList.template       |   0
 .../webapps/ca/agent/ca/ProfileProcess.template    |   0
 .../webapps/ca/agent/ca/ProfileReview.template     |   0
 .../webapps/ca/agent/ca/ProfileSelect.template     |   0
 .../ca}/shared/webapps/ca/agent/ca/SrchCert.html   |   0
 .../shared/webapps/ca/agent/ca/SrchRequests.html   |   0
 .../shared/webapps/ca/agent/ca/SrchRevokeCert.html |   0
 .../ca}/shared/webapps/ca/agent/ca/UpdateDir.html  |   0
 .../ca}/shared/webapps/ca/agent/ca/blank.html      |   0
 .../webapps/ca/agent/ca/bulkissuance.template      |   0
 .../webapps/ca/agent/ca/cloneRedirect.template     |   0
 .../webapps/ca/agent/ca/confirmRevocation.template |   0
 .../webapps/ca/agent/ca/displayBySerial.template   |   0
 .../webapps/ca/agent/ca/displayBySerial2.template  |   0
 .../shared/webapps/ca/agent/ca/displayCRL.template |   0
 .../ca/agent/ca/displayCertFromRequest.template    |   0
 .../ca}/shared/webapps/ca/agent/ca/error.template  |   0
 .../ca}/shared/webapps/ca/agent/ca/frameCRL.html   |   0
 .../ca}/shared/webapps/ca/agent/ca/frameDir.html   |   0
 .../webapps/ca/agent/ca/frameDisplayCRL.html       |   0
 .../ca}/shared/webapps/ca/agent/ca/frameList.html  |   0
 .../shared/webapps/ca/agent/ca/frameListReq.html   |   0
 .../ca}/shared/webapps/ca/agent/ca/frameOCSP.html  |   0
 .../shared/webapps/ca/agent/ca/frameProfile.html   |   0
 .../shared/webapps/ca/agent/ca/frameRevoke.html    |   0
 .../shared/webapps/ca/agent/ca/frameSearch.html    |   0
 .../webapps/ca/agent/ca/frameSrchRequests.html     |   0
 .../ca}/shared/webapps/ca/agent/ca/frameStats.html |   0
 .../webapps/ca/agent/ca/getOCSPInfo.template       |   0
 .../shared/webapps/ca/agent/ca/getStats.template   |   0
 .../ca}/shared/webapps/ca/agent/ca/index.html      |   0
 .../ca}/shared/webapps/ca/agent/ca/menuCRL.html    |   0
 .../ca}/shared/webapps/ca/agent/ca/menuDir.html    |   0
 .../shared/webapps/ca/agent/ca/menuDisplayCRL.html |   0
 .../ca}/shared/webapps/ca/agent/ca/menuList.html   |   0
 .../shared/webapps/ca/agent/ca/menuListReq.html    |   0
 .../ca}/shared/webapps/ca/agent/ca/menuOCSP.html   |   0
 .../shared/webapps/ca/agent/ca/menuProfile.html    |   0
 .../ca}/shared/webapps/ca/agent/ca/menuRevoke.html |   0
 .../ca}/shared/webapps/ca/agent/ca/menuSearch.html |   0
 .../webapps/ca/agent/ca/menuSrchRequests.html      |   0
 .../ca}/shared/webapps/ca/agent/ca/menuStats.html  |   0
 .../ca}/shared/webapps/ca/agent/ca/monitor.html    |   0
 .../shared/webapps/ca/agent/ca/monitor.template    |   0
 .../shared/webapps/ca/agent/ca/notImplemented.html |   0
 .../webapps/ca/agent/ca/processCertReq.template    |   0
 .../shared/webapps/ca/agent/ca/processReq.template |   0
 .../shared/webapps/ca/agent/ca/queryBySerial.html  |   0
 .../ca}/shared/webapps/ca/agent/ca/queryCert.html  |   0
 .../shared/webapps/ca/agent/ca/queryCert.template  |   0
 .../shared/webapps/ca/agent/ca/queryReq.template   |   0
 .../webapps/ca/agent/ca/reasonToRevoke.template    |   0
 .../webapps/ca/agent/ca/revocationResult.template  |   0
 .../webapps/ca/agent/ca/revokeBySerial.template    |   0
 .../ca}/shared/webapps/ca/agent/ca/revokeCert.html |   0
 .../shared/webapps/ca/agent/ca/srchCert.template   |   0
 .../webapps/ca/agent/ca/toDisplayCRL.template      |   0
 .../webapps/ca/agent/ca/toUpdateCRL.template       |   0
 .../ca}/shared/webapps/ca/agent/ca/top.html        |   0
 .../ca/agent/ca/unrevocationResult.template        |   0
 .../ca}/shared/webapps/ca/agent/ca/updateCRL.html  |   0
 .../shared/webapps/ca/agent/ca/updateCRL.template  |   0
 .../shared/webapps/ca/agent/ca/updateDir.template  |   0
 .../ca}/shared/webapps/ca/agent/cms-funcs.js       |   0
 .../ca}/shared/webapps/ca/agent/funcs.js           |   0
 .../ca}/shared/webapps/ca/agent/header.template    |   0
 .../ca}/shared/webapps/ca/agent/helpfun.js         |   0
 .../ca}/shared/webapps/ca/agent/index.html         |   0
 .../ca}/shared/webapps/ca/agent/index.template     |   0
 .../ca}/shared/webapps/ca/agent/ports.template     |   0
 .../ca}/shared/webapps/ca/agent/xenroll.dll        | Bin
 .../ca}/shared/webapps/ca/ee/GenError.template     |   0
 .../ca}/shared/webapps/ca/ee/GenPending.template   |   0
 .../ca}/shared/webapps/ca/ee/GenRejected.template  |   0
 .../ca}/shared/webapps/ca/ee/GenSuccess.template   |   0
 .../shared/webapps/ca/ee/GenSvcPending.template    |   0
 .../shared/webapps/ca/ee/GenUnauthorized.template  |   0
 .../webapps/ca/ee/GenUnexpectedError.template      |   0
 .../ca}/shared/webapps/ca/ee/ca/AIMEnroll.html     |   0
 .../ca}/shared/webapps/ca/ee/ca/CMCEnrollment.html |   0
 .../ca}/shared/webapps/ca/ee/ca/CMCRevReq.html     |   0
 .../webapps/ca/ee/ca/CertBasedDualEnroll.html      |   0
 .../ca/ee/ca/CertBasedEncryptionEnroll.html        |   0
 .../webapps/ca/ee/ca/CertBasedSingleEnroll.html    |   0
 .../shared/webapps/ca/ee/ca/ChallengeRevoke1.html  |   0
 .../shared/webapps/ca/ee/ca/DirPinUserEnroll.html  |   0
 .../ca}/shared/webapps/ca/ee/ca/DirUserEnroll.html |   0
 .../ca}/shared/webapps/ca/ee/ca/DisplayCRL.html    |   0
 .../shared/webapps/ca/ee/ca/EnrollSuccess.template |   0
 .../ca}/shared/webapps/ca/ee/ca/GetCAChain.html    |   0
 .../webapps/ca/ee/ca/ImportAdminCert.template      |   0
 .../shared/webapps/ca/ee/ca/ImportCert.template    |   0
 .../ca}/shared/webapps/ca/ee/ca/KeyRecovery.html   |   0
 .../ca}/shared/webapps/ca/ee/ca/ManCAEnroll.html   |   0
 .../shared/webapps/ca/ee/ca/ManObjSignEnroll.html  |   0
 .../ca}/shared/webapps/ca/ee/ca/ManRAEnroll.html   |   0
 .../shared/webapps/ca/ee/ca/ManServerEnroll.html   |   0
 .../ca}/shared/webapps/ca/ee/ca/ManUserEnroll.html |   0
 .../ca}/shared/webapps/ca/ee/ca/NISUserEnroll.html |   0
 .../ca}/shared/webapps/ca/ee/ca/OCSPResponder.html |   0
 .../webapps/ca/ee/ca/ObjSignPKCS10Enroll.html      |   0
 .../shared/webapps/ca/ee/ca/PortalEnrollment.html  |   0
 .../shared/webapps/ca/ee/ca/ProfileList.template   |   0
 .../shared/webapps/ca/ee/ca/ProfileSelect.template |   0
 .../ca}/shared/webapps/ca/ee/ca/ProfileSubmit.html |   0
 .../shared/webapps/ca/ee/ca/ProfileSubmit.template |   0
 .../webapps/ca/ee/ca/RenewalSuccess.template       |   0
 .../webapps/ca/ee/ca/RevocationSuccess.template    |   0
 .../ca}/shared/webapps/ca/ee/ca/UserDnEnroll.html  |   0
 .../ca}/shared/webapps/ca/ee/ca/UserRenewal.html   |   0
 .../shared/webapps/ca/ee/ca/UserRevocation.html    |   0
 .../ca}/shared/webapps/ca/ee/ca/bench2k.html       |   0
 .../ca}/shared/webapps/ca/ee/ca/checkRequest.html  |   0
 .../webapps/ca/ee/ca/displayBySerial.template      |   0
 .../webapps/ca/ee/ca/displayBySerial2.template     |   0
 .../shared/webapps/ca/ee/ca/displayCRL.template    |   0
 .../shared/webapps/ca/ee/ca/displayCaCert.template |   0
 .../ca/ee/ca/displayCertFromRequest.template       |   0
 .../ca}/shared/webapps/ca/ee/ca/enrollMenu.html    |   0
 .../ca}/shared/webapps/ca/ee/ca/index.html         |   0
 .../webapps/ca/ee/ca/policyEnrollment/index.html   |   0
 .../ca/ee/ca/policyEnrollment/profileMenu.html     |   0
 .../ca/ee/ca/policyEnrollment/retrievalMenu.html   |   0
 .../ca/ee/ca/policyEnrollment/revocationMenu.html  |   0
 .../webapps/ca/ee/ca/profileEnrollment/index.html  |   0
 .../ca/ee/ca/profileEnrollment/profileMenu.html    |   0
 .../ca/ee/ca/profileEnrollment/retrievalMenu.html  |   0
 .../ca/ee/ca/profileEnrollment/revocationMenu.html |   0
 .../ca}/shared/webapps/ca/ee/ca/profileMenu.html   |   0
 .../ca}/shared/webapps/ca/ee/ca/queryBySerial.html |   0
 .../ca}/shared/webapps/ca/ee/ca/queryCert.html     |   0
 .../ca}/shared/webapps/ca/ee/ca/queryCert.template |   0
 .../webapps/ca/ee/ca/reasonToRevoke.template       |   0
 .../ca}/shared/webapps/ca/ee/ca/recoveryMenu.html  |   0
 .../webapps/ca/ee/ca/remoteAuthConfig.template     |   0
 .../ca}/shared/webapps/ca/ee/ca/renewalMenu.html   |   0
 .../shared/webapps/ca/ee/ca/requestStatus.template |   0
 .../ca}/shared/webapps/ca/ee/ca/retrievalMenu.html |   0
 .../shared/webapps/ca/ee/ca/revocationMenu.html    |   0
 .../webapps/ca/ee/ca/revocationResult.template     |   0
 .../ca}/shared/webapps/ca/ee/ca/srchCert.html      |   0
 .../ca}/shared/webapps/ca/ee/ca/srchCert.template  |   0
 .../ca}/shared/webapps/ca/ee/ca/tabs.html          |   0
 .../shared/webapps/ca/ee/ca/toDisplayCRL.template  |   0
 .../webapps/ca/ee/ca/unrevocationResult.template   |   0
 .../ca}/shared/webapps/ca/ee/cms-funcs.js          |   0
 .../ca}/shared/webapps/ca/ee/helpfun.js            |   0
 .../ca}/shared/webapps/ca/ee/index.html            |   0
 .../ca-ui => base/ca}/shared/webapps/ca/index.html |   0
 .../ca}/shared/webapps/ca/services.template        |   0
 base/deploy/src/scriptlets/webapp_deployment.py    |  22 ++++++---------------
 .../kra}/shared/webapps/kra/404.html               |   0
 .../kra}/shared/webapps/kra/500.html               |   0
 .../shared/webapps/kra/GenUnexpectedError.template |   0
 .../shared/webapps/kra/agent/GenError.template     |   0
 .../shared/webapps/kra/agent/GenPending.template   |   0
 .../shared/webapps/kra/agent/GenRejected.template  |   0
 .../shared/webapps/kra/agent/GenSuccess.template   |   0
 .../webapps/kra/agent/GenSvcPending.template       |   0
 .../webapps/kra/agent/GenUnauthorized.template     |   0
 .../webapps/kra/agent/GenUnexpectedError.template  |   0
 .../kra}/shared/webapps/kra/agent/cms-funcs.js     |   0
 .../kra}/shared/webapps/kra/agent/funcs.js         |   0
 .../kra}/shared/webapps/kra/agent/header.template  |   0
 .../kra}/shared/webapps/kra/agent/helpfun.js       |   0
 .../kra}/shared/webapps/kra/agent/index.html       |   0
 .../kra}/shared/webapps/kra/agent/index.template   |   0
 .../webapps/kra/agent/kra/GrantRecovery.html       |   0
 .../shared/webapps/kra/agent/kra/ListRequests.html |   0
 .../kra}/shared/webapps/kra/agent/kra/SrchKey.html |   0
 .../webapps/kra/agent/kra/SrchRecoverKey.html      |   0
 .../kra}/shared/webapps/kra/agent/kra/blank.html   |   0
 .../webapps/kra/agent/kra/confirmRecover.html      |   0
 .../kra/agent/kra/confirmRecoverBySerial.template  |   0
 .../webapps/kra/agent/kra/displayBySerial.template |   0
 .../kra/agent/kra/displayBySerial2.template        |   0
 .../agent/kra/displayBySerialForRecovery.template  |   0
 .../webapps/kra/agent/kra/examineRecovery.template |   0
 .../kra/agent/kra/finishAsyncRecovery.template     |   0
 .../webapps/kra/agent/kra/finishRecovery.template  |   0
 .../shared/webapps/kra/agent/kra/frameGrant.html   |   0
 .../shared/webapps/kra/agent/kra/frameRecover.html |   0
 .../shared/webapps/kra/agent/kra/frameRequest.html |   0
 .../shared/webapps/kra/agent/kra/frameSearch.html  |   0
 .../shared/webapps/kra/agent/kra/frameStats.html   |   0
 .../kra/agent/kra/getApprovalStatus.template       |   0
 .../shared/webapps/kra/agent/kra/getStats.template |   0
 .../kra/agent/kra/grantAsyncRecovery.template      |   0
 .../webapps/kra/agent/kra/grantRecovery.template   |   0
 .../kra}/shared/webapps/kra/agent/kra/index.html   |   0
 .../shared/webapps/kra/agent/kra/menuCheck.html    |   0
 .../shared/webapps/kra/agent/kra/menuGrant.html    |   0
 .../shared/webapps/kra/agent/kra/menuRecover.html  |   0
 .../shared/webapps/kra/agent/kra/menuRequest.html  |   0
 .../shared/webapps/kra/agent/kra/menuSearch.html   |   0
 .../shared/webapps/kra/agent/kra/menuStats.html    |   0
 .../shared/webapps/kra/agent/kra/monitor.template  |   0
 .../webapps/kra/agent/kra/processReq.template      |   0
 .../shared/webapps/kra/agent/kra/queryKey.template |   0
 .../kra/agent/kra/queryKeyForRecovery.template     |   0
 .../shared/webapps/kra/agent/kra/queryReq.template |   0
 .../webapps/kra/agent/kra/recoverBySerial.template |   0
 .../shared/webapps/kra/agent/kra/srchKey.template  |   0
 .../kra/agent/kra/srchKeyForRecovery.template      |   0
 .../kra}/shared/webapps/kra/agent/kra/top.html     |   0
 .../kra}/shared/webapps/kra/index.html             |   0
 .../kra}/shared/webapps/kra/services.template      |   0
 .../ocsp}/shared/webapps/ocsp/404.html             |   0
 .../ocsp}/shared/webapps/ocsp/500.html             |   0
 .../webapps/ocsp/GenUnexpectedError.template       |   0
 .../shared/webapps/ocsp/agent/GenError.template    |   0
 .../shared/webapps/ocsp/agent/GenPending.template  |   0
 .../shared/webapps/ocsp/agent/GenRejected.template |   0
 .../shared/webapps/ocsp/agent/GenSuccess.template  |   0
 .../webapps/ocsp/agent/GenSvcPending.template      |   0
 .../webapps/ocsp/agent/GenUnauthorized.template    |   0
 .../webapps/ocsp/agent/GenUnexpectedError.template |   0
 .../ocsp}/shared/webapps/ocsp/agent/cms-funcs.js   |   0
 .../ocsp}/shared/webapps/ocsp/agent/funcs.js       |   0
 .../shared/webapps/ocsp/agent/header.template      |   0
 .../ocsp}/shared/webapps/ocsp/agent/helpfun.js     |   0
 .../ocsp}/shared/webapps/ocsp/agent/index.html     |   0
 .../ocsp}/shared/webapps/ocsp/agent/index.template |   0
 .../shared/webapps/ocsp/agent/ocsp/AddCA.html      |   0
 .../shared/webapps/ocsp/agent/ocsp/AddCRL.html     |   0
 .../shared/webapps/ocsp/agent/ocsp/CheckCert.html  |   0
 .../shared/webapps/ocsp/agent/ocsp/addCA.template  |   0
 .../shared/webapps/ocsp/agent/ocsp/addCRL.template |   0
 .../webapps/ocsp/agent/ocsp/checkCert.template     |   0
 .../shared/webapps/ocsp/agent/ocsp/frameAddCA.html |   0
 .../webapps/ocsp/agent/ocsp/frameAddCRL.html       |   0
 .../webapps/ocsp/agent/ocsp/frameCheckCert.html    |   0
 .../webapps/ocsp/agent/ocsp/frameListCA.html       |   0
 .../shared/webapps/ocsp/agent/ocsp/frameOCSP.html  |   0
 .../shared/webapps/ocsp/agent/ocsp/frameStats.html |   0
 .../webapps/ocsp/agent/ocsp/getOCSPInfo.template   |   0
 .../webapps/ocsp/agent/ocsp/getStats.template      |   0
 .../shared/webapps/ocsp/agent/ocsp/index.html      |   0
 .../webapps/ocsp/agent/ocsp/listCAs.template       |   0
 .../shared/webapps/ocsp/agent/ocsp/menuAddCA.html  |   0
 .../shared/webapps/ocsp/agent/ocsp/menuAddCRL.html |   0
 .../webapps/ocsp/agent/ocsp/menuCheckCert.html     |   0
 .../shared/webapps/ocsp/agent/ocsp/menuListCA.html |   0
 .../shared/webapps/ocsp/agent/ocsp/menuOCSP.html   |   0
 .../shared/webapps/ocsp/agent/ocsp/menuStats.html  |   0
 .../webapps/ocsp/agent/ocsp/removeCA.template      |   0
 .../ocsp}/shared/webapps/ocsp/agent/ports.template |   0
 .../ocsp}/shared/webapps/ocsp/index.html           |   0
 .../ocsp}/shared/webapps/ocsp/services.template    |   0
 .../tks}/shared/webapps/tks/404.html               |   0
 .../tks}/shared/webapps/tks/500.html               |   0
 .../shared/webapps/tks/GenUnexpectedError.template |   0
 .../shared/webapps/tks/agent/GenError.template     |   0
 .../shared/webapps/tks/agent/GenPending.template   |   0
 .../shared/webapps/tks/agent/GenRejected.template  |   0
 .../shared/webapps/tks/agent/GenSuccess.template   |   0
 .../webapps/tks/agent/GenSvcPending.template       |   0
 .../webapps/tks/agent/GenUnauthorized.template     |   0
 .../webapps/tks/agent/GenUnexpectedError.template  |   0
 .../tks}/shared/webapps/tks/agent/cms-funcs.js     |   0
 .../tks}/shared/webapps/tks/agent/funcs.js         |   0
 .../tks}/shared/webapps/tks/agent/header.template  |   0
 .../tks}/shared/webapps/tks/agent/helpfun.js       |   0
 .../tks}/shared/webapps/tks/agent/index.html       |   0
 .../tks}/shared/webapps/tks/agent/index.template   |   0
 .../tks}/shared/webapps/tks/agent/ports.template   |   0
 .../shared/webapps/tks/agent/tks/getStats.template |   0
 .../tks}/shared/webapps/tks/agent/tks/index.html   |   0
 .../tks}/shared/webapps/tks/index.html             |   0
 .../tks}/shared/webapps/tks/services.template      |   0
 294 files changed, 6 insertions(+), 16 deletions(-)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/404.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/500.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/GenUnexpectedError.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/admin/GenUnexpectedError.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/admin/ca/EnrollSuccess.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/admin/ca/ImportAdminCert.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/admin/ca/ImportCert.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/admin/ca/adminEnroll.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/admin/ca/securitydomainlogin.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/admin/ca/sendCookie.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/admin/cms-funcs.js (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/admin/helpfun.js (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/admin/index.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/GenError.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/GenPending.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/GenRejected.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/GenSuccess.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/GenSvcPending.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/GenUnauthorized.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/GenUnexpectedError.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/EnrollSuccess.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/ImportCert.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/ListRequests.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/ProfileApprove.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/ProfileList.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/ProfileProcess.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/ProfileReview.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/ProfileSelect.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/SrchCert.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/SrchRequests.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/SrchRevokeCert.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/UpdateDir.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/blank.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/bulkissuance.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/cloneRedirect.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/confirmRevocation.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/displayBySerial.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/displayBySerial2.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/displayCRL.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/displayCertFromRequest.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/error.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/frameCRL.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/frameDir.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/frameDisplayCRL.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/frameList.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/frameListReq.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/frameOCSP.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/frameProfile.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/frameRevoke.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/frameSearch.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/frameSrchRequests.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/frameStats.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/getOCSPInfo.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/getStats.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/index.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/menuCRL.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/menuDir.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/menuDisplayCRL.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/menuList.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/menuListReq.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/menuOCSP.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/menuProfile.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/menuRevoke.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/menuSearch.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/menuSrchRequests.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/menuStats.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/monitor.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/monitor.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/notImplemented.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/processCertReq.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/processReq.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/queryBySerial.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/queryCert.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/queryCert.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/queryReq.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/reasonToRevoke.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/revocationResult.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/revokeBySerial.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/revokeCert.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/srchCert.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/toDisplayCRL.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/toUpdateCRL.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/top.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/unrevocationResult.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/updateCRL.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/updateCRL.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ca/updateDir.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/cms-funcs.js (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/funcs.js (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/header.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/helpfun.js (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/index.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/index.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/ports.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/agent/xenroll.dll (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/GenError.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/GenPending.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/GenRejected.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/GenSuccess.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/GenSvcPending.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/GenUnauthorized.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/GenUnexpectedError.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/AIMEnroll.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/CMCEnrollment.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/CMCRevReq.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/CertBasedDualEnroll.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/CertBasedEncryptionEnroll.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/CertBasedSingleEnroll.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/ChallengeRevoke1.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/DirPinUserEnroll.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/DirUserEnroll.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/DisplayCRL.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/EnrollSuccess.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/GetCAChain.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/ImportAdminCert.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/ImportCert.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/KeyRecovery.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/ManCAEnroll.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/ManObjSignEnroll.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/ManRAEnroll.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/ManServerEnroll.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/ManUserEnroll.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/NISUserEnroll.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/OCSPResponder.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/ObjSignPKCS10Enroll.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/PortalEnrollment.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/ProfileList.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/ProfileSelect.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/ProfileSubmit.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/ProfileSubmit.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/RenewalSuccess.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/RevocationSuccess.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/UserDnEnroll.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/UserRenewal.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/UserRevocation.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/bench2k.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/checkRequest.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/displayBySerial.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/displayBySerial2.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/displayCRL.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/displayCaCert.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/displayCertFromRequest.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/enrollMenu.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/index.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/policyEnrollment/index.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/policyEnrollment/profileMenu.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/policyEnrollment/retrievalMenu.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/policyEnrollment/revocationMenu.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/profileEnrollment/index.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/profileEnrollment/profileMenu.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/profileEnrollment/retrievalMenu.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/profileEnrollment/revocationMenu.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/profileMenu.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/queryBySerial.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/queryCert.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/queryCert.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/reasonToRevoke.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/recoveryMenu.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/remoteAuthConfig.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/renewalMenu.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/requestStatus.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/retrievalMenu.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/revocationMenu.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/revocationResult.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/srchCert.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/srchCert.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/tabs.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/toDisplayCRL.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/ca/unrevocationResult.template (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/cms-funcs.js (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/helpfun.js (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/ee/index.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/index.html (100%)
 rename {dogtag/ca-ui => base/ca}/shared/webapps/ca/services.template (100%)
 rename {dogtag/kra-ui => base/kra}/shared/webapps/kra/404.html (100%)
 rename {dogtag/kra-ui => base/kra}/shared/webapps/kra/500.html (100%)
 rename {dogtag/kra-ui => base/kra}/shared/webapps/kra/GenUnexpectedError.template (100%)
 rename {dogtag/kra-ui => base/kra}/shared/webapps/kra/agent/GenError.template (100%)
 rename {dogtag/kra-ui => base/kra}/shared/webapps/kra/agent/GenPending.template (100%)
 rename {dogtag/kra-ui => base/kra}/shared/webapps/kra/agent/GenRejected.template (100%)
 rename {dogtag/kra-ui => base/kra}/shared/webapps/kra/agent/GenSuccess.template (100%)
 rename {dogtag/kra-ui => base/kra}/shared/webapps/kra/agent/GenSvcPending.template (100%)
 rename {dogtag/kra-ui => base/kra}/shared/webapps/kra/agent/GenUnauthorized.template (100%)
 rename {dogtag/kra-ui => base/kra}/shared/webapps/kra/agent/GenUnexpectedError.template (100%)
 rename {dogtag/kra-ui => base/kra}/shared/webapps/kra/agent/cms-funcs.js (100%)
 rename {dogtag/kra-ui => base/kra}/shared/webapps/kra/agent/funcs.js (100%)
 rename {dogtag/kra-ui => base/kra}/shared/webapps/kra/agent/header.template (100%)
 rename {dogtag/kra-ui => base/kra}/shared/webapps/kra/agent/helpfun.js (100%)
 rename {dogtag/kra-ui => base/kra}/shared/webapps/kra/agent/index.html (100%)
 rename {dogtag/kra-ui => base/kra}/shared/webapps/kra/agent/index.template (100%)
 rename {dogtag/kra-ui => base/kra}/shared/webapps/kra/agent/kra/GrantRecovery.html (100%)
 rename {dogtag/kra-ui => base/kra}/shared/webapps/kra/agent/kra/ListRequests.html (100%)
 rename {dogtag/kra-ui => base/kra}/shared/webapps/kra/agent/kra/SrchKey.html (100%)
 rename {dogtag/kra-ui => base/kra}/shared/webapps/kra/agent/kra/SrchRecoverKey.html (100%)
 rename {dogtag/kra-ui => base/kra}/shared/webapps/kra/agent/kra/blank.html (100%)
 rename {dogtag/kra-ui => base/kra}/shared/webapps/kra/agent/kra/confirmRecover.html (100%)
 rename {dogtag/kra-ui => base/kra}/shared/webapps/kra/agent/kra/confirmRecoverBySerial.template (100%)
 rename {dogtag/kra-ui => base/kra}/shared/webapps/kra/agent/kra/displayBySerial.template (100%)
 rename {dogtag/kra-ui => base/kra}/shared/webapps/kra/agent/kra/displayBySerial2.template (100%)
 rename {dogtag/kra-ui => base/kra}/shared/webapps/kra/agent/kra/displayBySerialForRecovery.template (100%)
 rename {dogtag/kra-ui => base/kra}/shared/webapps/kra/agent/kra/examineRecovery.template (100%)
 rename {dogtag/kra-ui => base/kra}/shared/webapps/kra/agent/kra/finishAsyncRecovery.template (100%)
 rename {dogtag/kra-ui => base/kra}/shared/webapps/kra/agent/kra/finishRecovery.template (100%)
 rename {dogtag/kra-ui => base/kra}/shared/webapps/kra/agent/kra/frameGrant.html (100%)
 rename {dogtag/kra-ui => base/kra}/shared/webapps/kra/agent/kra/frameRecover.html (100%)
 rename {dogtag/kra-ui => base/kra}/shared/webapps/kra/agent/kra/frameRequest.html (100%)
 rename {dogtag/kra-ui => base/kra}/shared/webapps/kra/agent/kra/frameSearch.html (100%)
 rename {dogtag/kra-ui => base/kra}/shared/webapps/kra/agent/kra/frameStats.html (100%)
 rename {dogtag/kra-ui => base/kra}/shared/webapps/kra/agent/kra/getApprovalStatus.template (100%)
 rename {dogtag/kra-ui => base/kra}/shared/webapps/kra/agent/kra/getStats.template (100%)
 rename {dogtag/kra-ui => base/kra}/shared/webapps/kra/agent/kra/grantAsyncRecovery.template (100%)
 rename {dogtag/kra-ui => base/kra}/shared/webapps/kra/agent/kra/grantRecovery.template (100%)
 rename {dogtag/kra-ui => base/kra}/shared/webapps/kra/agent/kra/index.html (100%)
 rename {dogtag/kra-ui => base/kra}/shared/webapps/kra/agent/kra/menuCheck.html (100%)
 rename {dogtag/kra-ui => base/kra}/shared/webapps/kra/agent/kra/menuGrant.html (100%)
 rename {dogtag/kra-ui => base/kra}/shared/webapps/kra/agent/kra/menuRecover.html (100%)
 rename {dogtag/kra-ui => base/kra}/shared/webapps/kra/agent/kra/menuRequest.html (100%)
 rename {dogtag/kra-ui => base/kra}/shared/webapps/kra/agent/kra/menuSearch.html (100%)
 rename {dogtag/kra-ui => base/kra}/shared/webapps/kra/agent/kra/menuStats.html (100%)
 rename {dogtag/kra-ui => base/kra}/shared/webapps/kra/agent/kra/monitor.template (100%)
 rename {dogtag/kra-ui => base/kra}/shared/webapps/kra/agent/kra/processReq.template (100%)
 rename {dogtag/kra-ui => base/kra}/shared/webapps/kra/agent/kra/queryKey.template (100%)
 rename {dogtag/kra-ui => base/kra}/shared/webapps/kra/agent/kra/queryKeyForRecovery.template (100%)
 rename {dogtag/kra-ui => base/kra}/shared/webapps/kra/agent/kra/queryReq.template (100%)
 rename {dogtag/kra-ui => base/kra}/shared/webapps/kra/agent/kra/recoverBySerial.template (100%)
 rename {dogtag/kra-ui => base/kra}/shared/webapps/kra/agent/kra/srchKey.template (100%)
 rename {dogtag/kra-ui => base/kra}/shared/webapps/kra/agent/kra/srchKeyForRecovery.template (100%)
 rename {dogtag/kra-ui => base/kra}/shared/webapps/kra/agent/kra/top.html (100%)
 rename {dogtag/kra-ui => base/kra}/shared/webapps/kra/index.html (100%)
 rename {dogtag/kra-ui => base/kra}/shared/webapps/kra/services.template (100%)
 rename {dogtag/ocsp-ui => base/ocsp}/shared/webapps/ocsp/404.html (100%)
 rename {dogtag/ocsp-ui => base/ocsp}/shared/webapps/ocsp/500.html (100%)
 rename {dogtag/ocsp-ui => base/ocsp}/shared/webapps/ocsp/GenUnexpectedError.template (100%)
 rename {dogtag/ocsp-ui => base/ocsp}/shared/webapps/ocsp/agent/GenError.template (100%)
 rename {dogtag/ocsp-ui => base/ocsp}/shared/webapps/ocsp/agent/GenPending.template (100%)
 rename {dogtag/ocsp-ui => base/ocsp}/shared/webapps/ocsp/agent/GenRejected.template (100%)
 rename {dogtag/ocsp-ui => base/ocsp}/shared/webapps/ocsp/agent/GenSuccess.template (100%)
 rename {dogtag/ocsp-ui => base/ocsp}/shared/webapps/ocsp/agent/GenSvcPending.template (100%)
 rename {dogtag/ocsp-ui => base/ocsp}/shared/webapps/ocsp/agent/GenUnauthorized.template (100%)
 rename {dogtag/ocsp-ui => base/ocsp}/shared/webapps/ocsp/agent/GenUnexpectedError.template (100%)
 rename {dogtag/ocsp-ui => base/ocsp}/shared/webapps/ocsp/agent/cms-funcs.js (100%)
 rename {dogtag/ocsp-ui => base/ocsp}/shared/webapps/ocsp/agent/funcs.js (100%)
 rename {dogtag/ocsp-ui => base/ocsp}/shared/webapps/ocsp/agent/header.template (100%)
 rename {dogtag/ocsp-ui => base/ocsp}/shared/webapps/ocsp/agent/helpfun.js (100%)
 rename {dogtag/ocsp-ui => base/ocsp}/shared/webapps/ocsp/agent/index.html (100%)
 rename {dogtag/ocsp-ui => base/ocsp}/shared/webapps/ocsp/agent/index.template (100%)
 rename {dogtag/ocsp-ui => base/ocsp}/shared/webapps/ocsp/agent/ocsp/AddCA.html (100%)
 rename {dogtag/ocsp-ui => base/ocsp}/shared/webapps/ocsp/agent/ocsp/AddCRL.html (100%)
 rename {dogtag/ocsp-ui => base/ocsp}/shared/webapps/ocsp/agent/ocsp/CheckCert.html (100%)
 rename {dogtag/ocsp-ui => base/ocsp}/shared/webapps/ocsp/agent/ocsp/addCA.template (100%)
 rename {dogtag/ocsp-ui => base/ocsp}/shared/webapps/ocsp/agent/ocsp/addCRL.template (100%)
 rename {dogtag/ocsp-ui => base/ocsp}/shared/webapps/ocsp/agent/ocsp/checkCert.template (100%)
 rename {dogtag/ocsp-ui => base/ocsp}/shared/webapps/ocsp/agent/ocsp/frameAddCA.html (100%)
 rename {dogtag/ocsp-ui => base/ocsp}/shared/webapps/ocsp/agent/ocsp/frameAddCRL.html (100%)
 rename {dogtag/ocsp-ui => base/ocsp}/shared/webapps/ocsp/agent/ocsp/frameCheckCert.html (100%)
 rename {dogtag/ocsp-ui => base/ocsp}/shared/webapps/ocsp/agent/ocsp/frameListCA.html (100%)
 rename {dogtag/ocsp-ui => base/ocsp}/shared/webapps/ocsp/agent/ocsp/frameOCSP.html (100%)
 rename {dogtag/ocsp-ui => base/ocsp}/shared/webapps/ocsp/agent/ocsp/frameStats.html (100%)
 rename {dogtag/ocsp-ui => base/ocsp}/shared/webapps/ocsp/agent/ocsp/getOCSPInfo.template (100%)
 rename {dogtag/ocsp-ui => base/ocsp}/shared/webapps/ocsp/agent/ocsp/getStats.template (100%)
 rename {dogtag/ocsp-ui => base/ocsp}/shared/webapps/ocsp/agent/ocsp/index.html (100%)
 rename {dogtag/ocsp-ui => base/ocsp}/shared/webapps/ocsp/agent/ocsp/listCAs.template (100%)
 rename {dogtag/ocsp-ui => base/ocsp}/shared/webapps/ocsp/agent/ocsp/menuAddCA.html (100%)
 rename {dogtag/ocsp-ui => base/ocsp}/shared/webapps/ocsp/agent/ocsp/menuAddCRL.html (100%)
 rename {dogtag/ocsp-ui => base/ocsp}/shared/webapps/ocsp/agent/ocsp/menuCheckCert.html (100%)
 rename {dogtag/ocsp-ui => base/ocsp}/shared/webapps/ocsp/agent/ocsp/menuListCA.html (100%)
 rename {dogtag/ocsp-ui => base/ocsp}/shared/webapps/ocsp/agent/ocsp/menuOCSP.html (100%)
 rename {dogtag/ocsp-ui => base/ocsp}/shared/webapps/ocsp/agent/ocsp/menuStats.html (100%)
 rename {dogtag/ocsp-ui => base/ocsp}/shared/webapps/ocsp/agent/ocsp/removeCA.template (100%)
 rename {dogtag/ocsp-ui => base/ocsp}/shared/webapps/ocsp/agent/ports.template (100%)
 rename {dogtag/ocsp-ui => base/ocsp}/shared/webapps/ocsp/index.html (100%)
 rename {dogtag/ocsp-ui => base/ocsp}/shared/webapps/ocsp/services.template (100%)
 rename {dogtag/tks-ui => base/tks}/shared/webapps/tks/404.html (100%)
 rename {dogtag/tks-ui => base/tks}/shared/webapps/tks/500.html (100%)
 rename {dogtag/tks-ui => base/tks}/shared/webapps/tks/GenUnexpectedError.template (100%)
 rename {dogtag/tks-ui => base/tks}/shared/webapps/tks/agent/GenError.template (100%)
 rename {dogtag/tks-ui => base/tks}/shared/webapps/tks/agent/GenPending.template (100%)
 rename {dogtag/tks-ui => base/tks}/shared/webapps/tks/agent/GenRejected.template (100%)
 rename {dogtag/tks-ui => base/tks}/shared/webapps/tks/agent/GenSuccess.template (100%)
 rename {dogtag/tks-ui => base/tks}/shared/webapps/tks/agent/GenSvcPending.template (100%)
 rename {dogtag/tks-ui => base/tks}/shared/webapps/tks/agent/GenUnauthorized.template (100%)
 rename {dogtag/tks-ui => base/tks}/shared/webapps/tks/agent/GenUnexpectedError.template (100%)
 rename {dogtag/tks-ui => base/tks}/shared/webapps/tks/agent/cms-funcs.js (100%)
 rename {dogtag/tks-ui => base/tks}/shared/webapps/tks/agent/funcs.js (100%)
 rename {dogtag/tks-ui => base/tks}/shared/webapps/tks/agent/header.template (100%)
 rename {dogtag/tks-ui => base/tks}/shared/webapps/tks/agent/helpfun.js (100%)
 rename {dogtag/tks-ui => base/tks}/shared/webapps/tks/agent/index.html (100%)
 rename {dogtag/tks-ui => base/tks}/shared/webapps/tks/agent/index.template (100%)
 rename {dogtag/tks-ui => base/tks}/shared/webapps/tks/agent/ports.template (100%)
 rename {dogtag/tks-ui => base/tks}/shared/webapps/tks/agent/tks/getStats.template (100%)
 rename {dogtag/tks-ui => base/tks}/shared/webapps/tks/agent/tks/index.html (100%)
 rename {dogtag/tks-ui => base/tks}/shared/webapps/tks/index.html (100%)
 rename {dogtag/tks-ui => base/tks}/shared/webapps/tks/services.template (100%)

diff --git a/base/deploy/src/scriptlets/webapp_deployment.py b/base/deploy/src/scriptlets/webapp_deployment.py
index 68fff20bd3c99973b1052e1b7834093dcb1b5e96..a4afbfb8d1caf2e104ea9bbc2f0eff8b8b6cbd93 100644
--- a/base/deploy/src/scriptlets/webapp_deployment.py
+++ b/base/deploy/src/scriptlets/webapp_deployment.py
@@ -62,14 +62,8 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
                     "admin"),
                 overwrite_flag=True)
 
-            util.directory.copy(
-                os.path.join(
-                    config.PKI_DEPLOYMENT_SOURCE_ROOT,
-                    master['pki_subsystem'].lower() + "-ui",
-                    "webapps",
-                    master['pki_subsystem'].lower()),
-                master['pki_tomcat_webapps_subsystem_path'],
-                overwrite_flag=True)
+            # Copy /usr/share/pki/<subsystem>/webapps/<subsystem>
+            # to <instance>/webapps/<subsystem>
             util.directory.copy(
                 os.path.join(
                     config.PKI_DEPLOYMENT_SOURCE_ROOT,
@@ -78,6 +72,7 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
                     master['pki_subsystem'].lower()),
                 master['pki_tomcat_webapps_subsystem_path'],
                 overwrite_flag=True)
+
             util.directory.create(
                 master['pki_tomcat_webapps_subsystem_webinf_classes_path'])
             util.directory.create(
@@ -133,14 +128,8 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
                     "admin"),
                 overwrite_flag=True)
 
-            util.directory.copy(
-                os.path.join(
-                    config.PKI_DEPLOYMENT_SOURCE_ROOT,
-                    master['pki_subsystem'].lower() + "-ui",
-                    "webapps",
-                    master['pki_subsystem'].lower()),
-                master['pki_tomcat_webapps_subsystem_path'],
-                overwrite_flag=True)
+            # Copy /usr/share/pki/<subsystem>/webapps/<subsystem>
+            # to <instance>/webapps/<subsystem>
             util.directory.copy(
                 os.path.join(
                     config.PKI_DEPLOYMENT_SOURCE_ROOT,
@@ -149,6 +138,7 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
                     master['pki_subsystem'].lower()),
                 master['pki_tomcat_webapps_subsystem_path'],
                 overwrite_flag=True)
+
             # update Tomcat webapps subsystem WEB-INF lib symbolic links
             if master['pki_subsystem'] == "CA":
                 util.symlink.modify(master['pki_ca_jar_link'])
